# default | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class default

- Defined in src/system/trainer-data.ts:4

##### Index

### Constructors

constructor

### Properties

nameKey
partnerNameKey
partyTemplateIndex
trainerType
variant

### Methods

toTrainer

## Constructors

### constructor

- new default(source: any): default

  #### Parameters

  - source: any

  #### Returns default

  - Defined in src/system/trainer-data.ts:11

## Properties

### nameKey

nameKey: string

- Defined in src/system/trainer-data.ts:8

### partnerNameKey

partnerNameKey: undefined | string

- Defined in src/system/trainer-data.ts:9

### partyTemplateIndex

partyTemplateIndex: number

- Defined in src/system/trainer-data.ts:7

### trainerType

trainerType: TrainerType

- Defined in src/system/trainer-data.ts:5

### variant

variant: TrainerVariant

- Defined in src/system/trainer-data.ts:6

## Methods

### toTrainer

- toTrainer(): default

  #### Returns default

  - Defined in src/system/trainer-data.ts:24